# $Revision: 1.17 $, $Date: 2008/07/10 14:34:10 $
Summary:	Assistive technology for Java Swing applications
Summary(pl.UTF-8):	Technologia wspomagająca dla aplikacji Java Swing
Name:		java-access-bridge
Version:	1.22.2
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/java-access-bridge/1.22/%{name}-%{version}.tar.bz2
# Source0-md5:	e3cef9cc10812320817f21fc34b72c09
Patch0:		%{name}-jar_dir.patch
URL:		http://www.gnome.org/
BuildRequires:	at-spi-devel >= 1.22.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	java >= 1.4
BuildRequires:	jdk >= 1.4
BuildRequires:	jre
BuildRequires:	libbonobo-devel >= 2.22.0
BuildRequires:	rpmbuild(macros) >= 1.294
BuildRequires:	xorg-app-xprop
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Java Access Bridge for GNOME, which connects
the built-in accessibility support in Java Swing apps to the GNOME
Accessibility framework, specifically the Assistive Technology Service
Provider Interface (at-spi).

%description -l pl.UTF-8
Ten pakiet zawiera Java Access Bridge dla GNOME, łączący technologię
wspierającą w aplikacjach Java Swing z mechanizmami dostępności GNOME,
w szczególności z at-spi.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-java-home=%{java_home}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_javadir}/*.jar
%{_javadir}/*.properties

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-access-bridge.spec,v $
Revision 1.17  2008/07/10 14:34:10  megabajt
- updated to 1.22.2

Revision 1.16  2007/12/09 01:43:37  glen
- R: jpackage-utils for %{_javadir}

Revision 1.15  2007-09-17 18:05:44  qboosh
- updated Source0 URL

Revision 1.14  2007/09/17 14:44:47  megabajt
- updated to 1.20.0

Revision 1.13  2007/03/11 18:26:47  megabajt
- missing BR: xorg-app-xprop
- release 2

Revision 1.12  2007/03/10 23:17:59  megabajt
- updated to 1.18.0

Revision 1.11  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.9  2006/12/24 10:33:41  megabajt
- it's noarch package
- updated deps

Revision 1.8  2006/08/14 12:26:38  grzegol
- updated to 1.6.0

Revision 1.7  2005/12/10 19:03:12  qboosh
- gpm-friendly Source0 URL

Revision 1.6  2005/09/14 12:38:07  pawcioos
- updated to 1.4.5

Revision 1.5  2004/05/18 11:00:02  grzegol
- updated to 1.4.2

Revision 1.4  2004/04/30 14:01:13  grzegol
- updated to 1.4.1

Revision 1.3  2004/04/13 11:14:16  grzegol
- updated to 1.4.0

Revision 1.2  2004/03/16 12:17:30  grzegol
- updated to 1.3.1

Revision 1.1  2004/03/11 14:57:18  grzegol
- new
